org.apache.sling.datasource.internal

## Class DataSourceFactory

- java.lang.Object
- - org.apache.sling.datasource.internal.DataSourceFactory

    public class DataSourceFactory
    extends Object

### Field Summary

Fields
`static String` `NAME`
`protected static String` `PROP_CONNECTIONPROPERTIES`
`protected static String` `PROP_INITSQL`
`protected static String` `PROP_INTERCEPTORS`
`protected static String` `PROP_LOGVALIDATIONERRORS`
`protected static String` `PROP_MINEVICTABLEIDLETIMEMILLIS`
`protected static String` `PROP_TIMEBETWEENEVICTIONRUNSMILLIS`
`protected static String` `PROP_VALIDATIONINTERVAL`

### Constructor Summary

Constructors
Constructor and Description
`DataSourceFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate(org.osgi.framework.BundleContext bundleContext, Map<String,?> config)`
`protected void` `deactivate()`
`protected void` `modified(Map<String,?> config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

See Also:
  Constant Field Values

#### PROP_TIMEBETWEENEVICTIONRUNSMILLIS

    @Property(intValue=5000)
    protected static final String PROP_TIMEBETWEENEVICTIONRUNSMILLIS

See Also:
  Constant Field Values

#### PROP_MINEVICTABLEIDLETIMEMILLIS

    @Property(intValue=60000)
    protected static final String PROP_MINEVICTABLEIDLETIMEMILLIS

See Also:
  Constant Field Values

#### PROP_CONNECTIONPROPERTIES

    @Property
    protected static final String PROP_CONNECTIONPROPERTIES

See Also:
  Constant Field Values

#### PROP_INITSQL

    @Property
    protected static final String PROP_INITSQL

See Also:
  Constant Field Values

#### PROP_INTERCEPTORS

    @Property(value="StatementCache;SlowQueryReport(threshold=10000);ConnectionState")
    protected static final String PROP_INTERCEPTORS

See Also:
  Constant Field Values

#### PROP_VALIDATIONINTERVAL

    @Property(intValue=30000)
    protected static final String PROP_VALIDATIONINTERVAL

See Also:
  Constant Field Values

#### PROP_LOGVALIDATIONERRORS

    @Property(boolValue=true)
    protected static final String PROP_LOGVALIDATIONERRORS

See Also:
  Constant Field Values

### Constructor Detail

#### DataSourceFactory

    public DataSourceFactory()

### Method Detail

#### activate

    @Activate
    protected void activate(org.osgi.framework.BundleContext bundleContext,
                                      Map<String,?> config)
                               throws Exception

Throws:
  `Exception`

#### modified

    @Modified
    protected void modified(Map<String,?> config)
                               throws Exception

Throws:
  `Exception`

#### deactivate

    @Deactivate
    protected void deactivate()